


    UNANM 1.0                                                 01.03.93



    ABOUT

    UNANM unpacks ANM animation files from PClones into frames. Each
    frame is stored as an 8-bit IFF file, which can then be converted
    to HAM or some other Amiga format before recombination into an
    Amiga GL file. This is a KS2.0 program.

    UNANM is Copyright  1993 by John Bickers.


    REQUIREMENTS

    KS2.0 and Christian Weber's iff.library are essential. The latter
    is available from amiga.physik.unizh.ch and its mirrors, or from
    Fish disk #674.


    USAGE

    The usage template is:

    FROM/A,INFO/S,SAVECONTROL/K

    The FROM option is the name of the ANM you want to unpack. The
    frames will be stored in the current directory with names of the
    form NNN, where NNN is the frame number. This number counts from
    one.

    The INFO option will make UNANM quit after displaying the header
    information.

    The SAVECONTROL option specifies the name of a "control" file to
    use. This file is a GL animation script file, which may need some
    editing. The basic structure is specific to the way I convert
    animations.


    USEFUL UTILITIES

    Ed Hanway's HamLabPlus is very handy for converting the frames
    from 8-bit pictures to a more usual Amiga format.

    My GL package can be used to create an Amiga GL file out of the
    frames, as well as play the resulting animation.


    CREDITS

    UNANM is written by John Bickers using SAS C 6.2.

    The ANM file format was created by Dan Jacobson. 

    Christian A. Weber's iff.library is used for saving ILBM files.

    The format of an ANM file was obtained by looking at a sample
    file, GUSHER.ANM.


    DISTRIBUTION

    UNANM is Copyright  1993 by John Bickers.

    Distribution is via normal channels. That is, distribute it for
    free, or for Fred Fish like costs, but not more. And remember to
    include the documentation.

    This program is not shareware in the sense that you should pay for
    it if you use it a lot, but suggestions or demands will be
    received in a spirit of pronounced no-enthusiasm unless
    accompanied by a donation of some sort.

    If you have one lying around, why not send me an R18 ANM?


    CONTACT INFO

    If you're having problems or would like to pay me to convert a
    file, I can be reached at:

        John Bickers
        214 Rata St
        Naenae 6301
        New Zealand

    Or: jbickers@templar.actrix.gen.nz


    DISCLAIMER

    It works on my machine.
